Re: [meta-oe][PATCH] polkit: update patches for musl compilation


Marta Rybczynska
 

On Fri, Jul 29, 2022 at 1:24 PM Marta Rybczynska <rybczynska@...> wrote:

Update the patch to make netgroup support optional to fit the commit
merged upstream [1], update the other patch depending on one of the
changes.

Without this update, a compilation using duktape with musl fails with:
| ../../../polkit-0.119/src/polkitbackend/polkitbackendduktapeauthority.c: In function 'js_polkit_user_is_in_netgroup':
| ../../../polkit-0.119/src/polkitbackend/polkitbackendduktapeauthority.c:1039:7: warning: implicit declaration of function 'innetgr' [-Wimplicit-function-declaration]
| 1039 | if (innetgr (netgroup,
| | ^~~~~~~

The main patch has been split in two, to apply the duktape part only when duktape is
applied.

[1] https://gitlab.freedesktop.org/polkit/polkit/-/commit/b57deee8178190a7ecc75290fa13cf7daabc2c66

Signed-off-by: Marta Rybczynska <marta.rybczynska@...>
---
...ded-support-for-duktape-as-JS-engine.patch | 20 ++--
...0004-Make-netgroup-support-optional.patch} | 103 +++++++++---------
...ke-netgroup-support-optional-duktape.patch | 34 ++++++
.../recipes-extended/polkit/polkit_0.119.bb | 4 +-
4 files changed, 98 insertions(+), 63 deletions(-)
Khem,
The master version is different from the kirkstone one because of the
changes that were done on duktape
support. Is there any special reason this recipe isn't updated to a
newer version so that we could drop many
of the patches?

Regards,
Marta

Join openembedded-devel@lists.openembedded.org to automatically receive all group messages.